aeson-extra-0.5.1.2: Extra goodies for aeson

Copyright | (C) 2015-2016 Oleg Grenrus
License | BSD3
Maintainer | Oleg Grenrus <oleg.grenrus@iki.fi>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Aeson.Extra.TH

Description

In addition to `mkValue` and `mkValue'` helpers, this module exports `Lift` `Value` orphan instance for aeson <0.11

Synopsis

- mkValue :: String -> Q Exp
- mkValue' :: String -> Q Exp

# Documentation

mkValue :: String -> Q Exp Source #

Create a `Value` from string representation.

This is useful in tests.

Since: aeson-extra-0.3.1.0

mkValue' :: String -> Q Exp Source #

Like `mkValue`, but replace single quotes with double quotes before.

    > $(mkValue' "{'a': 2 }")
    Object (fromList [("a",Number 2.0)])

Since: aeson-extra-0.3.1.0